<?php 
if(!function_exists("livestream_watermark")){
	function livestream_watermark($file_path, $account){
        @exec("ffprobe -v quiet -show_entries stream=width,height -of default=noprint_wrappers=1 ".$file_path." 2>&1", $resolution);
        if(empty($resolution) || stripos($resolution[0], "width") === FALSE){
            return "";
        }

        $uid = get_team_data("owner", $account->team_id);
        $opacity = get_team_data("watermark_opacity", 70)/100;
        $size = get_team_data("watermark_size", 30)/100;
        $position = get_team_data("watermark_position", "lb", $uid);
        $watermark = get_team_data("watermark_mask", "", $uid);

        if($account->data != ""){
            $data = json_decode($account->data);
            if(is_object($data)){
                if(isset($data->watermark_opacity)){
                    $opacity = $data->watermark_opacity/100;
                }

                if(isset($data->watermark_size)){
                    $size = $data->watermark_size/100;
                }

                if(isset($data->watermark_position)){
                    $position = $data->watermark_position;
                }

                if(isset($data->watermark_mask)){
                    $watermark = $data->watermark_mask;
                }
            }
        }

        if($watermark != "")
        {
            $width = explode("=", $resolution[0]);
            $width = $width[1];

            $height = explode("=", $resolution[1]);
            $height = $height[1];

            if($width < $height){
                $scale = '[w]scale=' . $width . '*' . $size . ':-1[wm]';
            }else{
                $scale = '[w]scale=-1:' . $height . '*' . $size . '[wm]';
            }

            $watermark = get_file_url($watermark);
            $padding = 0;
            $cmd = '-i '.$watermark.' -filter_complex ';
            switch ($position) {
                case 'lt':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=' . $padding . ':' . $padding . '" ';
                    break;

                case 'rt':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=(main_w-overlay_w)-' . $padding . ':' . $padding . '" ';
                    break;

                case 'lb':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=' . $padding . ':(main_h-overlay_h)-' . $padding . '" ';
                    break;

                case 'rb':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=(main_w-overlay_w)-' . $padding . ':(main_h-overlay_h)-' . $padding . '" ';
                    break;

                case 'ct':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=(main_w-overlay_w)/2:' . $padding . '" ';
                    break;

                case 'bc':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=(main_w-overlay_w)/2:(main_h-overlay_h)-' . $padding . '" ';
                    break;

                case 'cc':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=(main_w-overlay_w)/2:(main_h-overlay_h)/2" ';
                    break;

                case 'lc':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=' . $padding . '/2:(main_h-overlay_h)/2" ';
                    break;

                case 'rc':
                    $position = ' "[1]format=argb,colorchannelmixer=aa=' . $opacity . '[w];' . $scale . ';[0][wm]overlay=x=(main_w-overlay_w)-' . $padding . ':(main_h-overlay_h)/2" ';
                    break;
            }

            $cmd .= $position;

            return $cmd;
        }
        else
        {
            return "";
        }
    }
}